All Apps and Add-ons

Python 3 compatibility

Explorer

I ran the Splunk Upgrade Readiness App and it indicates a Status: Warning for Python scripts and a Status:Blocker for files named test.py. Is this correct? This app is listed as 8.0 compatible.

0 Karma
1 Solution

Splunk Employee
Splunk Employee

Hello jparct,

Which app were you scanning?

There should not be any files named test.py as recommended at: https://docs.splunk.com/Documentation/Splunk/8.0.1/Python3Migration/PythonDevelopment

The following is the recommendation at the above link:
Module naming conflicts
You should also rename any files that conflict with Python standard modules or Splunk libraries, such as files named test.py. Use different, non-reserved names to avoid namespace conflicts in Python 3.

Checking for test.py may have been missed with this app. Such files should be renamed.

Hope this helps!

View solution in original post

0 Karma

Explorer

Sorry, Splunk Addon for Box (I thought I was posting this to the Splunk Addon for Box answers section).

0 Karma

Splunk Employee
Splunk Employee

Hello jparct,

Which app were you scanning?

There should not be any files named test.py as recommended at: https://docs.splunk.com/Documentation/Splunk/8.0.1/Python3Migration/PythonDevelopment

The following is the recommendation at the above link:
Module naming conflicts
You should also rename any files that conflict with Python standard modules or Splunk libraries, such as files named test.py. Use different, non-reserved names to avoid namespace conflicts in Python 3.

Checking for test.py may have been missed with this app. Such files should be renamed.

Hope this helps!

View solution in original post

0 Karma
State of Splunk Careers

Access the Splunk Careers Report to see real data that shows how Splunk mastery increases your value and job satisfaction.

Find out what your skills are worth!